use ::levels::Levels;
use ::record::Record;



/// Defines the minimum requirements for a Logger.
pub trait Logger: Send + Sync
{
   /// Query if the given domain has logging enabled or disabled.
   fn is_domain_enabled(&self, domain_name: &'static str) -> bool;

   /// Query if the given severity Level has logging enabled or disabled.
   fn is_level_enabled(&self, lvl: Levels) -> bool;

   /// Log the given Record.
   fn log(&self, record: &Record);
}
